Bug 1802444 (CVE-2020-1729) - CVE-2020-1729 SmallRye: SecuritySupport class is incorrectly public and contains a static method to access the current threads context class loader
Summary: CVE-2020-1729 SmallRye: SecuritySupport class is incorrectly public and conta...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-1729
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1756904
TreeView+ depends on / blocked
 
Reported: 2020-02-13 06:55 UTC by Ted Jongseok Won
Modified: 2021-05-26 11:35 UTC (History)
53 users (show)

Fixed In Version: SmallRye 1.6.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in SmallRye's API through version 1.6.1. The API can allow other code running within the application server to potentially obtain the ClassLoader, bypassing any permissions checks that should have been applied. The largest threat from this vulnerability is a threat to data confidentiality.
Clone Of:
Environment:
Last Closed: 2020-05-12 10:32:59 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2058 0 None None None 2020-05-11 20:10:54 UTC
Red Hat Product Errata RHSA-2020:2059 0 None None None 2020-05-11 20:13:58 UTC
Red Hat Product Errata RHSA-2020:2060 0 None None None 2020-05-11 20:16:55 UTC
Red Hat Product Errata RHSA-2020:2061 0 None None None 2020-05-11 20:20:04 UTC
Red Hat Product Errata RHSA-2020:2067 0 None None None 2020-05-18 10:27:50 UTC
Red Hat Product Errata RHSA-2020:2511 0 None None None 2020-06-10 19:06:00 UTC
Red Hat Product Errata RHSA-2020:2512 0 None None None 2020-06-11 07:17:22 UTC
Red Hat Product Errata RHSA-2020:2513 0 None None None 2020-06-11 07:09:06 UTC
Red Hat Product Errata RHSA-2020:2515 0 None None None 2020-06-10 19:24:17 UTC

Description Ted Jongseok Won 2020-02-13 06:55:36 UTC
SmallRye Config through versions 1.6.1 includes an API that can allow other code running within the application server to potentially obtain the ClassLoader, bypassing any permissions checks that should have been applied.

Comment 1 Ted Jongseok Won 2020-02-17 13:33:07 UTC
Acknowledgments:

Name: Darran Lofthouse (Red Hat)

Comment 10 errata-xmlrpc 2020-05-11 20:10:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2020:2058 https://access.redhat.com/errata/RHSA-2020:2058

Comment 11 errata-xmlrpc 2020-05-11 20:13:55 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2020:2059 https://access.redhat.com/errata/RHSA-2020:2059

Comment 12 errata-xmlrpc 2020-05-11 20:16:53 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2020:2060 https://access.redhat.com/errata/RHSA-2020:2060

Comment 13 errata-xmlrpc 2020-05-11 20:20:02 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:2061 https://access.redhat.com/errata/RHSA-2020:2061

Comment 14 Product Security DevOps Team 2020-05-12 10:32:59 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-1729

Comment 15 errata-xmlrpc 2020-05-18 10:27:45 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:2067 https://access.redhat.com/errata/RHSA-2020:2067

Comment 18 errata-xmlrpc 2020-06-10 19:05:57 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 6

Via RHSA-2020:2511 https://access.redhat.com/errata/RHSA-2020:2511

Comment 19 errata-xmlrpc 2020-06-10 19:24:14 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:2515 https://access.redhat.com/errata/RHSA-2020:2515

Comment 20 errata-xmlrpc 2020-06-11 07:09:03 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 8

Via RHSA-2020:2513 https://access.redhat.com/errata/RHSA-2020:2513

Comment 21 errata-xmlrpc 2020-06-11 07:17:18 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.3 for RHEL 7

Via RHSA-2020:2512 https://access.redhat.com/errata/RHSA-2020:2512


Note You need to log in before you can comment on or make changes to this bug.